

PlayerEvents.tick((event) => {
    var entity = event.player
    let pow = palladium.powers.getPowerIds(entity)
    let hasSpeedforce = false
    pow.forEach(power => {if (power == "arrzenhanced:speedforce") hasSpeedforce = true})
    if (!hasSpeedforce && entity.tags.contains('arrz.speedburst.active')) {
        entity.removeAttribute("minecraft:generic.movement_speed", "45d66472-0057-4ecf-9785-aa1c36bc54de")
        entity.removeAttribute("palladium:destroy_speed", "3529782e-8ce4-4d2b-9d74-0efd983c4034")
        entity.tags.remove('arrz.speedburst.active');
        palladium.setProperty(entity, 'arrzenhanced.speed', 0);
    }
})